package com.ruixuan.salesLeads.service;

import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.salesLeads.pojo.SaleFinancePolicyInfoPojo;
import com.ruixuan.salesLeads.pojo.SaleFinancePolicyRebateInfoPojo;
import com.ruixuan.salesLeads.pojo.vo.PolicyApprovalVo;
import com.ruixuan.salesLeads.pojo.vo.SaleFinancePolicyInfoVo;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 政策
 * @CreateDate: 2022-05-19
 * ****************************************************
 */
public interface ISaleFinacePolicyService {


    ResultResponse selectPolicyList(SaleFinancePolicyInfoVo saleFinancePolicyInfoVo);

    ResultResponse selectPolicyInfoById(String policyId);

    ResultResponse addSaleFinancePolicyInfo(SaleFinancePolicyInfoPojo policyInfoPojo);

    ResultResponse addSaleFinancePolicyRebateInfo(SaleFinancePolicyRebateInfoPojo policyRebateInfoPojo);

    ResultResponse selectFinacePolicyRebateInfo();

    ResultResponse policyApproval(PolicyApprovalVo policyApprovalVo);

    ResultResponse policyApprovalManual(PolicyApprovalVo policyApprovalVo);

    ResultResponse selectPolicyCustomerList();

    ResultResponse selectCompanySubjectInfoList();
}
